Package uk.ac.starlink.pal

## Class palError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - uk.ac.starlink.pal.palError

- All Implemented Interfaces:
    `java.io.Serializable`

      public class palError
      extends java.lang.Exception

  Class for Pal exceptions
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `palError​(int status, java.lang.String mess)` | Create a new Pal exceptions
    `palError​(java.lang.String mess)` | Create a new Pal exceptions, with zero status

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` | Get the Pal exceptions as a string

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### palError

          public palError​(int status,
                          java.lang.String mess)

      Create a new Pal exceptions
      Parameters:
        `status` - Exception number
        `mess` - Exception message

    - #### palError

          public palError​(java.lang.String mess)

      Create a new Pal exceptions, with zero status
      Parameters:
        `mess` - Exception message

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Get the Pal exceptions as a string
      Overrides:
        `toString` in class `java.lang.Throwable`
      Returns:
        The Exception number and message